#!/bin/sh
#
# $FreeBSD: ports/net/iwi-firmware/files/iwi.sh.in,v 1.1 2005/06/22 19:43:26 flz Exp $
#

# PROVIDE: iwi
# REQUIRE: LOGIN abi
# BEFORE:  securelevel
# KEYWORD: FreeBSD shutdown

# Add the following line to /etc/rc.conf to enable `iwi':
#
# iwi_enable="YES"
#

. "/etc/rc.subr"

name="iwi"
rcvar=`set_rcvar`

start_cmd="iwi_start_cmd"
stop_cmd="iwi_stop_cmd"

load_rc_config "$name"
: ${iwi_enable="NO"}
: ${iwi_interfaces="iwi0"}

command="/usr/local/sbin/iwicontrol"

iwi_start_cmd()
{
	echo -n "Starting iwi"
	for i in ${iwi_interfaces}; do
		eval _mode=\$iwi_mode_${i}
		case ${_mode} in
		""|bss|ibss|sniffer)
			;;
		*)
			echo "${_mode} - Possible values for iwi_mode_${i} are bss|ibss|sniffer."
			exit 1
			;;
		esac

		eval _mode=\$_iwi_file_${i}
		echo -n " [${i}:${_mode:=bss}]"
		${command} -i ${i} -d /usr/local/share/iwi-firmware -m ${_mode:=bss}
	done
	echo "."
}

iwi_stop_cmd()
{
	echo "Stopping iwi."
	for i in ${iwi_interfaces}; do
		${command} -i ${i} -k
	done
}

run_rc_command "$1"
